Bug 540476 - RADEONHD:RS690:X1200:KMS very high Xorg CPU consumption after F11 -> F12 upgrade
RADEONHD:RS690:X1200:KMS very high Xorg CPU consumption after F11 -> F12 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 08:47 EST by Pekka Savola
Modified: 2010-11-04 04:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 04:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (110.11 KB, application/octet-stream)
2009-11-23 08:47 EST, Pekka Savola
no flags Details
Xorg.0.log when radeon.modeset=0 (121.57 KB, text/plain)
2009-11-23 12:15 EST, Pekka Savola
no flags Details

  None (edit)
Description Pekka Savola 2009-11-23 08:47:05 EST
Created attachment 373115 [details]
Xorg log

Description of problem:
After I upgraded (with yum upgrade) from F11 (all updates) to F12, X started being very choppy, especially with window movements, etc.  It's not clear to me whether this is an Xorg base, Xorg drivers or some other issue.

Version-Release number of selected component (if applicable):

kernel-2.6.31.6-134.fc12.i686
xorg-x11-drv-radeonhd-1.3.0-3.15.20091112git.fc12.i686
xorg-x11-server-common-1.7.1-7.fc12.i686

How reproducible:
Start X. Open some windows (e.g. Firefox), move them around, minimize/maximize, move mouse pointer between windows, etc.

Additional info:

From /var/log/rpmpkgs* I note that prior to F12 upgrade, I was using xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11.i586 which is a bit older.

After the upgrade, the fonts used by (at least) Firefox changed -- they looked better (anti-aliasing?).  This may be relevant.

Typical CPU usage when completely idle is usually between 20-30%. If I move my mouse pointer quickly between two open firefox browser windows, this reliably drives up the Xorg CPU consumption to over 90%. Automatic window refocusing (without clicking) is enabled.

The system is almost unusable with this CPU consumption.
Comment 1 Pekka Savola 2009-11-23 12:14:35 EST
Update: I also tried  xorg-x11-drv-radeonhd-1.2.5-3.14.20090918git.fc12, no difference.

I set radeon.modeset=0 when booting, the usability was restored.  Steady state Xorg CPU is 6-7% and I can get it (only) up to 38% but no higher by fast-moving mouse pointer between windows.
Comment 2 Pekka Savola 2009-11-23 12:15:36 EST
Created attachment 373174 [details]
Xorg.0.log when radeon.modeset=0
Comment 3 Jon Ciesla 2009-11-24 10:08:29 EST
This worked for me too, which is good, because in addition to the desktop being messed up six ways from Sunday, the textures in openarena were. . .interesting.  All is totally fine on the radeon driver with radeon.modeset=0.
Comment 4 Bug Zapper 2010-11-04 01:38:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Pekka Savola 2010-11-04 04:28:44 EDT
radeonhd is no longer provided in later Fedoras, having been substituted.

Note You need to log in before you can comment on or make changes to this bug.